-- DROP TABLE IF EXISTS `zt_action`;
CREATE TABLE IF NOT EXISTS `zt_action`(
  `id` mediumint(8) unsigned NOT NULL auto_increment,
  `objectType` varchar(30) NOT NULL default '',
  `objectID` mediumint(8) unsigned NOT NULL default '0', 
  `project` mediumint(9) NOT NULL,
  `actor` varchar(30) NOT NULL default '',
  `action` varchar(30) NOT NULL default '',
  `date` datetime NOT NULL,
  `comment` text NOT NULL,
  `extra` text NOT NULL,
  `read` enum('0','1') NOT NULL default '0', 
  PRIMARY KEY (`id`),
  KEY `date` (`date`),
  KEY `actor` (`actor`),
  KEY `project` (`project`),
  KEY `objectID` (`objectID`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;
-- DROP TABLE IF EXISTS `zt_history`;
CREATE TABLE IF NOT EXISTS `zt_history`(
  `id` mediumint(8) unsigned NOT NULL auto_increment,
  `action` mediumint(8) unsigned NOT NULL default '0', 
  `field` varchar(30) NOT NULL default '',
  `old` text NOT NULL,
  `new` text NOT NULL,
  `diff` mediumtext NOT NULL,
  PRIMARY KEY (`id`),
  KEY `action` (`action`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;
-- DROP TABLE IF EXISTS `zt_company`;
CREATE TABLE IF NOT EXISTS `zt_company` (
  `id` mediumint(8) unsigned NOT NULL auto_increment,
  `name` char(120) default NULL,
  `phone` char(20) default NULL,
  `fax` char(20) default NULL,
  `address` char(120) default NULL,
  `zipcode` char(10) default NULL,
  `website` char(120) default NULL,
  `backyard` char(120) default NULL,
  `guest` enum('1','0') NOT NULL default '0',
  `admins` char(255) default NULL,
  `deleted` enum('0','1') NOT NULL default '0',
  PRIMARY KEY  (`id`)
) ENGINE=MyISAM  DEFAULT CHARSET=utf8;
-- DROP TABLE IF EXISTS `zt_config`;
CREATE TABLE IF NOT EXISTS `zt_config` (
  `id` mediumint(8) unsigned NOT NULL auto_increment,
  `owner` char(30) NOT NULL default '',
  `module` varchar(30) NOT NULL,
  `section` char(30) NOT NULL default '',
  `key` char(30) NOT NULL default '',
  `value` text NOT NULL,
  PRIMARY KEY  (`id`),
  UNIQUE KEY `unique` (`owner`,`module`,`section`,`key`)
) ENGINE=MyISAM  DEFAULT CHARSET=utf8;
-- DROP TABLE IF EXISTS `zt_file`;
CREATE TABLE IF NOT EXISTS `zt_file` (
  `id` mediumint(8) unsigned NOT NULL auto_increment,
  `pathname` char(50) NOT NULL,
  `title` char(255) NOT NULL,
  `extension` char(30) NOT NULL,
  `size` int(10) unsigned NOT NULL default '0',
  `objectType` char(30) NOT NULL,
  `objectID` mediumint(9) NOT NULL,
  `addedBy` char(30) NOT NULL default '',
  `addedDate` datetime NOT NULL,
  `downloads` mediumint(8) unsigned NOT NULL default '0',
  `extra` varchar(255) NOT NULL,
  `deleted` enum('0','1') NOT NULL default '0',
  PRIMARY KEY (`id`),
  KEY `objectType` (`objectType`),
  KEY `objectID` (`objectID`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;
-- DROP TABLE IF EXISTS `zt_user`;
CREATE TABLE IF NOT EXISTS `zt_user` (
  `id` mediumint(8) unsigned NOT NULL auto_increment,
  `dept` mediumint(8) unsigned NOT NULL default '0',
  `account` char(30) NOT NULL default '',
  `password` char(32) NOT NULL default '',
  `role` char(10) NOT NULL default '',
  `realname` varchar(100) NOT NULL default '',
  `nickname` char(60) NOT NULL default '',
  `commiter` varchar(100) NOT NULL,
  `avatar` char(30) NOT NULL default '',
  `birthday` date NOT NULL default '0000-00-00',
  `gender` enum('f','m') NOT NULL default 'f',
  `email` char(90) NOT NULL default '',
  `skype` char(90) NOT NULL default '',
  `qq` char(20) NOT NULL default '',
  `yahoo` char(90) NOT NULL default '',
  `gtalk` char(90) NOT NULL default '',
  `wangwang` char(90) NOT NULL default '',
  `mobile` char(11) NOT NULL default '',
  `phone` char(20) NOT NULL default '',
  `address` char(120) NOT NULL default '',
  `zipcode` char(10) NOT NULL default '',
  `join` date NOT NULL default '0000-00-00',
  `visits` mediumint(8) unsigned NOT NULL default '0',
  `ip` char(15) NOT NULL default '',
  `last` int(10) unsigned NOT NULL default '0',
  `fails` tinyint(5) NOT NULL default '0',
  `locked` datetime NOT NULL default '0000-00-00 00:00:00',
  `ranzhi` char(30) NOT NULL default '',
  `score` INT(11) NOT NULL DEFAULT '0',
  `scoreLevel` INT(11) NOT NULL DEFAULT '0',
  `deleted` enum('0','1') NOT NULL default '0',
  PRIMARY KEY  (`id`),
  UNIQUE KEY `account` (`account`),
  KEY `dept` (`dept`),
  KEY `email` (`email`),
  KEY `commiter` (`commiter`)
) ENGINE=MyISAM  DEFAULT CHARSET=utf8;
-- DROP TABLE IF EXISTS `zt_saasSite`;
CREATE TABLE IF NOT EXISTS `zt_saasSite` (
  `id` mediumint(8) unsigned NOT NULL AUTO_INCREMENT,
  `account` varchar(30) NOT NULL,
  `company` varchar(150) NOT NULL,
  `subDomain` varchar(60) NOT NULL,
  `customDomain` varchar(255) NOT NULL,
  `admin` varchar(30) NOT NULL,
  `user` varchar(255) COLLATE 'utf8_general_ci' NOT NULL,
  `password` varchar(120) NOT NULL,
  `email` char(90) COLLATE 'utf8_general_ci' NOT NULL,
  `latestAction` datetime NOT NULL,
  `openedDate` date NOT NULL,
  `status` varchar(30) NOT NULL,
  PRIMARY KEY (`id`),
  UNIQUE KEY `subDomain` (`subDomain`)
) ENGINE=MyISAM  DEFAULT CHARSET=utf8;
-- DROP TABLE IF EXISTS `zt_dept`;
CREATE TABLE `zt_dept` (
  `id` mediumint(8) unsigned NOT NULL AUTO_INCREMENT,
  `name` char(60) NOT NULL,
  `parent` mediumint(8) unsigned NOT NULL DEFAULT '0',
  `path` char(255) NOT NULL DEFAULT '',
  `grade` tinyint(3) unsigned NOT NULL DEFAULT '0',
  `order` tinyint(3) unsigned NOT NULL DEFAULT '0',
  `position` char(30) NOT NULL DEFAULT '',
  `function` char(255) NOT NULL DEFAULT '',
  `manager` char(30) NOT NULL DEFAULT '',
  PRIMARY KEY (`id`),
  KEY `parent` (`parent`),
  KEY `path` (`path`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;
-- DROP TABLE IF EXISTS `zt_group`;
CREATE TABLE IF NOT EXISTS `zt_group` (
  `id` mediumint(8) unsigned NOT NULL auto_increment,
  `name` char(30) NOT NULL,
  `role` char(30) NOT NULL default '',
  `desc` char(255) NOT NULL default '',
  `acl` text,
  PRIMARY KEY  (`id`)
) ENGINE=MyISAM  DEFAULT CHARSET=utf8;
-- DROP TABLE IF EXISTS `zt_grouppriv`;
CREATE TABLE IF NOT EXISTS `zt_grouppriv` (
  `group` mediumint(8) unsigned NOT NULL default '0', 
  `module` char(30) NOT NULL default '',
  `method` char(30) NOT NULL default '',
  UNIQUE KEY `group` (`group`,`module`,`method`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;
-- DROP TABLE IF EXISTS `zt_usergroup`;
CREATE TABLE IF NOT EXISTS `zt_usergroup` (
  `account` char(30) NOT NULL default '',
  `group` mediumint(8) unsigned NOT NULL default '0', 
  UNIQUE KEY `account` (`account`,`group`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;
-- DROP TABLE IF EXISTS `zt_project`;
CREATE TABLE IF NOT EXISTS `zt_project` (
  `id` mediumint(8) unsigned NOT NULL auto_increment,
  `name` varchar(255) NOT NULL,
  `parent` mediumint(9) NOT NULL,
  `dept` mediumint(8) unsigned NOT NULL,
  `owner` varchar(30) NOT NULL,
  `begin` date NOT NULL,
  `end` date NOT NULL,
  `days` smallint(5) NOT NULL,
  `status` varchar(255) NOT NULL,
  `supplier` mediumint(8) unsigned NOT NULL,
  `nodeProduct` mediumint(8) unsigned NOT NULL,
  `nodePlan` mediumint(8) unsigned NOT NULL,
  `desc` text NOT NULL,
  `openedBy` varchar(30) NOT NULL,
  `openedDate` datetime NOT NULL,
  `PO` varchar(30) NOT NULL default '',
  `PM` varchar(30) NOT NULL default '',
  `QD` varchar(30) NOT NULL default '',
  `RD` varchar(30) NOT NULL default '',
  `team` varchar(90) NOT NULL,
  `acl` enum('open','private','custom') NOT NULL default 'open',
  `whitelist` text NOT NULL,
  `closedBy` varchar(30) NOT NULL,
  `closedDate` datetime NOT NULL,
  `order` mediumint(8) unsigned NOT NULL,
  `deleted` enum('0','1') NOT NULL default '0',
  PRIMARY KEY  (`id`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;
-- DROP TABLE IF EXISTS `zt_supplier`;
CREATE TABLE `zt_supplier` (
  `id` mediumint(8) unsigned NOT NULL AUTO_INCREMENT,
  `name` varchar(255) NOT NULL,
  `site` mediumint(8) unsigned NOT NULL,
  `contact` varchar(255) NOT NULL,
  `email` varchar(255) NOT NULL,
  `phone` varchar(255) NOT NULL,
  `wechat` varchar(255) NOT NULL,
  `desc` mediumtext NOT NULL,
  `deleted` enum('0','1') NOT NULL DEFAULT '0',
  PRIMARY KEY (`id`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8; 
-- DROP TABLE IF EXISTS `zt_userview`;
CREATE TABLE IF NOT EXISTS `zt_userview` (
  `account` char(30) NOT NULL,
  `products` mediumtext NOT NULL,
  `projects` mediumtext NOT NULL,
  UNIQUE KEY `account` (`account`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;
-- DROP TABLE IF EXISTS `zt_team`;
CREATE TABLE IF NOT EXISTS `zt_team` (
  `id` mediumint(8) unsigned NOT NULL auto_increment,
  `root` mediumint(8) unsigned NOT NULL default '0', 
  `type` enum('project','task') NOT NULL DEFAULT 'project',
  `account` char(30) NOT NULL default '',
  `role` char(30) NOT NULL default '',
  `limited` char(8) NOT NULL default 'no',
  `join` date NOT NULL default '0000-00-00',
  `days` smallint(5) unsigned NOT NULL,
  `hours` float(2,1) unsigned NOT NULL default '0', 
  `estimate` DECIMAL(12,2) UNSIGNED NOT NULL DEFAULT '0', 
  `consumed` DECIMAL(12,2) UNSIGNED NOT NULL DEFAULT '0', 
  `left` DECIMAL(12,2) UNSIGNED NOT NULL DEFAULT '0', 
  `order` TINYINT(3) NOT NULL DEFAULT '0', 
  PRIMARY KEY (`id`),
  UNIQUE KEY `team` (`root`,`type`,`account`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;
-- DROP TABLE IF EXISTS `zt_block`;
CREATE TABLE IF NOT EXISTS `zt_block` (
  `id` mediumint(8) unsigned NOT NULL AUTO_INCREMENT,
  `account` char(30) NOT NULL,
  `module` varchar(20) NOT NULL,
  `title` varchar(100) NOT NULL,
  `source` varchar(20) NOT NULL,
  `block` varchar(20) NOT NULL,
  `params` text NOT NULL,
  `order` tinyint(3) unsigned NOT NULL DEFAULT '0',
  `grid` tinyint(3) unsigned NOT NULL DEFAULT '0',
  `height` smallint(5) unsigned NOT NULL DEFAULT '0',
  `hidden` tinyint(1) unsigned NOT NULL DEFAULT '0',
  PRIMARY KEY (`id`),
  UNIQUE KEY `accountModuleOrder` (`account`,`module`,`order`),
  KEY `account` (`account`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;

INSERT INTO `zt_group` (`id`, `name`, `role`, `desc`) VALUES
(1, 'ADMIN', 'admin', 'for administrator'),
(2, 'PROJECT', 'project team', 'for project.'),
(3, 'TOP', 'top', 'for top manager.');

INSERT INTO `zt_grouppriv` (`group`, `module`, `method`) VALUES
(1, 'index', 'index'),
(1, 'my', 'editProfile'),
(1, 'my', 'changePassword'),
(1, 'my', 'profile'),
(1, 'project', 'index'),
(1, 'project', 'view'),
(1, 'project', 'browse'),
(1, 'project', 'create'),
(1, 'project', 'edit'),
(1, 'project', 'start'),
(1, 'project', 'close'),
(1, 'project', 'activate'),
(1, 'project', 'team'),
(1, 'project', 'manageMembers'),
(1, 'project', 'unlinkMember'),
(1, 'project', 'chooseSupplier'),
(1, 'project', 'showDept'),
(1, 'project', 'showCompany'),
(1, 'supplier', 'view'),
(1, 'supplier', 'browse'),
(1, 'supplier', 'create'),
(1, 'supplier', 'edit'),
(1, 'supplier', 'delete'),
(1, 'saas', 'admin'),
(1, 'saas', 'createSite'),
(1, 'saas', 'reinstallSite'),
(1, 'saas', 'editUser'),
(1, 'saas', 'deleteSite'),
(1, 'saas', 'resetsiteAdmin'),
(1, 'saas', 'login'),
(1, 'mail', 'index'),
(1, 'mail', 'detect'),
(1, 'mail', 'edit'),
(1, 'mail', 'save'),
(1, 'mail', 'test'),
(1, 'mail', 'reset'),
(1, 'company', 'browse'),
(1, 'company', 'edit'),
(1, 'company', 'view'),
(1, 'company', 'dynamic'),
(1, 'dept', 'browse'),
(1, 'dept', 'updateOrder'),
(1, 'dept', 'manageChild'),
(1, 'dept', 'edit'),
(1, 'dept', 'delete'),
(1, 'group', 'browse'),
(1, 'group', 'create'),
(1, 'group', 'edit'),
(1, 'group', 'copy'),
(1, 'group', 'delete'),
(1, 'group', 'managePriv'),
(1, 'group', 'manageMember'),
(1, 'action', 'trash'),
(1, 'action', 'undelete'),
(1, 'action', 'hideOne'),
(1, 'action', 'hideAll'),
(1, 'user', 'create'),
(1, 'user', 'batchCreate'),
(1, 'user', 'edit'),
(1, 'user', 'unlock'),
(1, 'user', 'delete'),
(1, 'user', 'profile'),
(1, 'user', 'batchEdit'),
(1, 'admin', 'index'),
(1, 'file', 'edit'),
(1, 'file', 'delete'),
(2, 'index', 'index'),
(2, 'my', 'editProfile'),
(2, 'my', 'changePassword'),
(2, 'my', 'profile'),
(2, 'project', 'index'),
(2, 'project', 'view'),
(2, 'project', 'browse'),
(2, 'project', 'create'),
(2, 'project', 'edit'),
(2, 'project', 'start'),
(2, 'project', 'close'),
(2, 'project', 'activate'),
(2, 'project', 'delete'),
(2, 'project', 'team'),
(2, 'project', 'manageMembers'),
(2, 'project', 'unlinkMember'),
(2, 'project', 'chooseSupplier'),
(2, 'project', 'showDept'),
(2, 'project', 'showCompany'),
(2, 'supplier', 'view'),
(2, 'supplier', 'browse'),
(2, 'supplier', 'create'),
(2, 'supplier', 'edit'),
(2, 'supplier', 'delete'),
(2, 'saas', 'admin'),
(2, 'saas', 'createSite'),
(2, 'saas', 'reinstallSite'),
(2, 'saas', 'editUser'),
(2, 'saas', 'deleteSite'),
(2, 'saas', 'resetsiteAdmin'),
(2, 'saas', 'login'),
(2, 'mail', 'index'),
(2, 'mail', 'detect'),
(2, 'mail', 'edit'),
(2, 'mail', 'save'),
(2, 'mail', 'test'),
(2, 'mail', 'reset'),
(2, 'company', 'browse'),
(2, 'company', 'edit'),
(2, 'company', 'view'),
(2, 'company', 'dynamic'),
(2, 'dept', 'browse'),
(2, 'dept', 'updateOrder'),
(2, 'dept', 'manageChild'),
(2, 'dept', 'edit'),
(2, 'dept', 'delete'),
(2, 'user', 'create'),
(2, 'user', 'batchCreate'),
(2, 'user', 'edit'),
(2, 'user', 'unlock'),
(2, 'user', 'delete'),
(2, 'user', 'profile'),
(2, 'user', 'batchEdit'),
(2, 'admin', 'index'),
(2, 'file', 'edit'),
(2, 'file', 'delete'),
(3, 'index', 'index'),
(3, 'my', 'editProfile'),
(3, 'my', 'changePassword'),
(3, 'my', 'profile'),
(3, 'project', 'index'),
(3, 'project', 'view'),
(3, 'project', 'browse'),
(3, 'project', 'create'),
(3, 'project', 'edit'),
(3, 'project', 'start'),
(3, 'project', 'close'),
(3, 'project', 'activate'),
(3, 'project', 'delete'),
(3, 'project', 'team'),
(3, 'project', 'manageMembers'),
(3, 'project', 'unlinkMember'),
(3, 'project', 'chooseSupplier'),
(3, 'project', 'showDept'),
(3, 'project', 'showCompany'),
(3, 'supplier', 'view'),
(3, 'supplier', 'browse'),
(3, 'supplier', 'create'),
(3, 'supplier', 'edit'),
(3, 'supplier', 'delete'),
(3, 'saas', 'admin'),
(3, 'saas', 'createSite'),
(3, 'saas', 'reinstallSite'),
(3, 'saas', 'editUser'),
(3, 'saas', 'deleteSite'),
(3, 'saas', 'resetsiteAdmin'),
(3, 'saas', 'login'),
(3, 'admin', 'index'),
(3, 'file', 'edit'),
(3, 'file', 'delete');
