<?php
/**
 * The install module English file of ZenTaoPMS.
 *
 * @copyright   Copyright 2009-2015 青岛易软天创网络科技有限公司(QingDao Nature Easy Soft Network Technology Co,LTD, www.cnezsoft.com)
 * @license     ZPL (http://zpl.pub/page/zplv12.html)
 * @author      Chunsheng Wang <chunsheng@cnezsoft.com>
 * @package     install
 * @version     $Id: en.php 4972 2013-07-02 06:50:10Z zhujinyonging@gmail.com $
 * @link        http://www.zentao.net
 */
$lang->install = new stdclass();

$lang->install->common  = 'Install';
$lang->install->next    = 'Next';
$lang->install->pre     = 'Back';
$lang->install->reload  = 'Reload';
$lang->install->error   = 'Error ';

$lang->install->unlinkFileError  = '%s exists. Remove it.';
$lang->install->rmFileCMD        = 'rm -f %s';
$lang->install->officeDomain     = 'https://www.zentao.pm';

$lang->install->start            = 'Start';
$lang->install->keepInstalling   = 'Continue installing';
$lang->install->seeLatestRelease = 'View Latest Version';
$lang->install->welcome          = 'Thanks for choosing ZenTao Group!';
$lang->install->license          = 'Z Pulic License';
$lang->install->desc             = <<<EOT
ZenTao Group is a Scrum tool for larger organizations to deploy their own sites for project management. It has Product Management, Project Management, QA Management, Document Management, Todo Management, Repo Management and more. ZenTao is the perfect solution for application project management.

ZenTao Group is built on PHP + MySQL and based on ZenTaoPHP, an independent framework developed by Nature Easy Soft. Third party developers/organizations can develop extensions or customize it according to your requirements.
EOT;
$lang->install->links = <<<EOT
ZenTao Group is developed by <strong><a href='http://en.easysoft.ltd' target='_blank' class='text-danger'>Nature Easy Soft</a></strong>.
Official Website : <a href='https://www.zentao.pm' target='_blank'>https://www.zentao.pm</a>
Technical Support : <a href='https://www.zentao.pm/forum/' target='_blank'>https://www.zentao.pm/forum/</a>
WhatsApp Group : <a href='https://chat.whatsapp.com/B6pi6b3gv0S7x7jqMxwhbF' target='_blank'>https://chat.whatsapp.com/B6pi6b3gv0S7x7jqMxwhbF</a>
Twitter: <a href='https://twitter.com/cneasysoft' target='_blank'>cneasysoft</a>

You are installing ZenTao Group <strong class='text-danger'>%s</strong>.
EOT;

$lang->install->or         = 'Or';
$lang->install->checking   = 'System Checkup';
$lang->install->ok         = 'Passed(√)';
$lang->install->fail       = 'Failed(×)';
$lang->install->loaded     = 'Loaded';
$lang->install->unloaded   = 'Not Loaded';
$lang->install->installed  = 'Installed';
$lang->install->uninstalled= 'Uninstalled';
$lang->install->exists     = 'Found ';
$lang->install->notExists  = 'Not found ';
$lang->install->writable   = 'Writable ';
$lang->install->notWritable= 'Not Writable ';
$lang->install->phpINI     = 'PHP .ini File';
$lang->install->checkItem  = 'Item';
$lang->install->current    = 'Current Setting';
$lang->install->result     = 'Result';
$lang->install->action     = 'Action';

$lang->install->os         = 'OS';
$lang->install->osFail     = 'Ubuntu only';
$lang->install->apache     = 'Apache';
$lang->install->apacheFail = 'Apache only. Commond:<br />sudo apt-get install apache2';
$lang->install->mysql      = 'Mysql';
$lang->install->mysqlFail  = 'MySQL only. Commond:<br />sudo apt-get install mysql-server';
$lang->install->subversion = 'Subversion';
$lang->install->svnFail    = 'No subversion. Commond:<br />sudo apt-get install subversion';
$lang->install->git        = 'GIT';
$lang->install->gitFail    = 'No git. Commond:<br />sudo apt-get install git';
$lang->install->phpVersion = 'PHP Version';
$lang->install->phpFail    = 'PHP Version should be 5.2.0+';

$lang->install->apacheModule = 'Apache required module';
$lang->install->pdo          = 'PDO Extension';
$lang->install->pdoFail      = 'Edit php.ini to load PDO extension.';
$lang->install->pdoMySQL     = 'PDO_MySQL';
$lang->install->pdoMySQLFail = 'Edit php.ini to load PDO_MySQL extension.';
$lang->install->json         = 'JSON Extension';
$lang->install->jsonFail     = 'Edit php.ini to load JSON extension.';
$lang->install->openssl      = 'OpenSSL Extension';
$lang->install->opensslFail  = 'Edit php.ini to load openssl extension.';
$lang->install->mbstring     = 'Mbstring Extension';
$lang->install->mbstringFail = 'Edit php.ini to load mbstring extension.';
$lang->install->zlib         = 'Zlib Extension';
$lang->install->zlibFail     = 'Edit php.ini to load zlib extension.';
$lang->install->curl         = 'Curl Extension';
$lang->install->curlFail     = 'Edit php.ini to load curl extension.';
$lang->install->filter       = 'Filter Extension';
$lang->install->filterFail   = 'Edit the php.ini file to load filter extension.';
$lang->install->gd           = 'GD Extension';
$lang->install->gdFail       = 'Edit the php.ini file to load gd extension.';
$lang->install->iconv        = 'Iconv Extension';
$lang->install->iconvFail    = 'Edit the php.ini file to load iconv extension.';
$lang->install->tmpRoot      = 'Temp Directory';
$lang->install->dataRoot     = 'Uploaded File Directory';
$lang->install->session      = 'Session Save Path';
$lang->install->sessionFail  = 'Edit the php.ini file to set session.save_path.';
$lang->install->mkdirWin     = '<p>%s directory has to be created.<br /> Run <code>mkdir %s</code> to create it.</p>';
$lang->install->chmodWin     = ' "%s" privilege has to be changed.';
$lang->install->moduleFail   = '%s is not loaded. Run: %s';
$lang->install->noSofeware   = '%s is not install. Run: %s';
$lang->install->mkdirLinux   = '<p>%s directory has to be created.<br /> Run <code>mkdir -p %s</code> to create it.</p>';
$lang->install->chmodLinux   = ' "%s" privilege has to be changed.<br /> Run <code>chmod o=rwx -R %s</code> to change it.';

$lang->install->defaultLang    = 'Default Language';
$lang->install->dbHost         = 'Database Host';
$lang->install->dbHostNote     = 'If 127.0.0.1 is not accessible, try localhost.';
$lang->install->dbPort         = 'Host Port';
$lang->install->dbUser         = 'Database User';
$lang->install->dbPassword     = 'Database Password';
$lang->install->dbName         = 'Database Name';
$lang->install->dbPrefix       = 'Table Prefix';
$lang->install->clearDB        = 'Clean tables if it already exists.';

$lang->install->requestTypes['GET']       = 'GET';
$lang->install->requestTypes['PATH_INFO'] = 'PATH_INFO';

$lang->install->errorConnectDB      = 'Connection to database Failed. ';
$lang->install->errorDBName         = 'Database name should exclude “.” ';
$lang->install->errorCreateDB       = 'Failed to create the database.';
$lang->install->errorTableExists    = 'Data table has existed. If ZenTao has been installed before, return to the last step and clear data. Then continue the installation.';
$lang->install->errorCreateTable    = 'Failed to create the table.';

$lang->install->setConfig  = 'Create config file';
$lang->install->key        = 'Item';
$lang->install->value      = 'Value';
$lang->install->saveConfig = 'Save config';
$lang->install->save2File  = '<div class="alert alert-warning">Copy the content in the text box above and save it to "<strong> %s </strong>". You can change this config file later.</div>';
$lang->install->saved2File = 'Config file has been saved to " <strong>%s</strong> ". You can change this file later.';
$lang->install->errorNotSaveConfig = 'Config file is not saved.';

$lang->install->setApacheConfig  = 'Set Apache Config';
$lang->install->platDirectory    = 'Plat Directory';
$lang->install->nodeDirectory    = 'Node Dirdectory';
$lang->install->svnDirectory     = 'Subversion Directory';
$lang->install->gitDirectory     = 'Git Directory';
$lang->install->backupDirectory  = 'Backup Directory';
$lang->install->platDomain       = 'Plat Domain';
$lang->install->nodeDomain       = 'Node Domain';
$lang->install->codeDomain       = 'Git&SVN Domain';
$lang->install->downloadConfig   = 'Download Config';
$lang->install->downApacheConfig = 'Download Apache Config';
$lang->install->downCronConfig   = 'Download Cron Config';

$lang->install->executeCMD     = "Execute command: ";
$lang->install->errorNotExists = "%s does not exists";
$lang->install->mkdirCMD       = "mkdir -p %s";
$lang->install->errorNotWrited = "%s is not writable";
$lang->install->chmodCMD       = "chmod -R 777 %s";
$lang->install->noticeApacheConfig = <<<EOD
1. Download Apache config, move <span class='red'>100-zentaogroup.conf</span> to <span class='red'>/etc/apache2/sites-enabled/</span>, restart apache.
2. Download cron config, move <span class='red'>crontab</span> to server, execute <span class='red'>crontab < [path/]crontab</span> commond.
<span class='text-warning'>Notice: If there is crontab in ZenTao, do it yourself, or it will override the original file.</span>
3. Please do pin domain name resolution for <span class='red'>%s</span>. Cname to domain <span class='red'>%s</span>, not IP.
EOD;

$lang->install->getPriv  = 'Set Admin';
$lang->install->company  = 'Company Name';
$lang->install->account  = 'Admin Account';
$lang->install->password = 'Admin Password';
$lang->install->errorEmptyPassword = 'Password should not be blank.';

$lang->install->groupList['ADMIN']['name']   = 'Administrator';
$lang->install->groupList['ADMIN']['desc']   = 'Description';
$lang->install->groupList['PROJECT']['name'] = 'Project Team';
$lang->install->groupList['PROJECT']['desc'] = 'Description';
$lang->install->groupList['TOP']['name']     = 'Senior Manager';
$lang->install->groupList['TOP']['desc']     = 'Description';

$lang->install->success  = "Installed!";
$lang->install->login    = 'Login';

$lang->install->joinZentao = <<<EOT
<p>You have installed ZenTao Group %s.<strong class='text-danger'> Please delete install.php asap</strong>.</p>
EOT;

$lang->install->placeholder = new stdclass();
$lang->install->placeholder->platPath   = 'This plat path.';
$lang->install->placeholder->nodePath   = 'Node path.';
$lang->install->placeholder->platDomain = 'This plat domain.';
$lang->install->placeholder->nodeDomain = 'Node\'s generic domain name.';
$lang->install->placeholder->codeDomain = 'The repository domain name for Git and SVN.';
