<?php
/**
 * The create view of project module of ZenTaoPMS.
 *
 * @copyright   Copyright 2009-2015 青岛易软天创网络科技有限公司(QingDao Nature Easy Soft Network Technology Co,LTD, www.cnezsoft.com)
 * @license     ZPL (http://zpl.pub/page/zplv12.html)
 * @author      Chunsheng Wang <chunsheng@cnezsoft.com>
 * @package     project
 * @version     $Id: create.html.php 4728 2013-05-03 06:14:34Z chencongzhi520@gmail.com $
 * @link        http://www.zentao.net
 */
?>
<?php include '../../common/view/header.html.php';?>
<?php include '../../common/view/kindeditor.html.php';?>
<?php js::set('weekend', $config->project->weekend);?>
<div id='mainContent' class='main-content'>
  <div class='center-block'>
    <div class='main-header'>
      <h2><?php echo $projectID ? $lang->project->createPlan : $lang->project->create;?></h2>
    </div>
    <form class='form-indicator main-form form-ajax' method='post' target='hiddenwin' id='dataform'>
      <table class='table table-form'>
        <?php if($projectID):?>
        <tr>
          <th><?php echo $lang->project->parent;?></th>
          <td class="col-main"><?php echo $project->name . html::hidden('parent', $projectID);?></td>
          <td></td><td></td>
        </tr>
        <?php endif;?>
        <tr>
          <th><?php echo $projectID ? $lang->project->planName : $lang->project->name;?></th>
          <td class="col-main"><?php echo html::input('name', '', "class='form-control' autocomplete='off' required");?></td>
          <td></td><td></td>
        </tr>
        <tr>
          <th><?php echo $lang->project->dateRange;?></th>
          <td colspan='3'><?php echo html::radio('delta', $lang->project->endList , '', "onclick='computeEndDate(this.value)'");?></td>
        </tr>
        <tr>
          <th></th>
          <td>
            <div class='input-group'>
              <?php echo html::input('begin', date('Y-m-d'), "class='form-control form-date' placeholder='" . $lang->project->begin . "' required");?>
              <span class='input-group-addon'><?php echo $lang->project->to;?></span>
              <?php echo html::input('end', '', "class='form-control form-date' onchange='computeWorkDays()' placeholder='" . $lang->project->end . "' required");?>
            </div>
          </td>
          <td></td><td></td>
        </tr>
        <?php if(!$projectID):?>
        <tr>
          <th><?php echo $lang->project->days;?></th>
          <td>
            <div class='input-group'>
              <?php echo html::input('days', '', "class='form-control'");?>
              <span class='input-group-addon'><?php echo $lang->project->day;?></span>
            </div>
          </td><td></td><td></td>
        </tr>
        <tr>
          <th><?php echo $lang->project->dept;?></th>
          <td><?php echo html::select('dept', $depts, '', "class='form-control chosen'");?></td>
        </tr>
        <?php endif;?>
        <tr>
          <th><?php echo $projectID ? $lang->project->planLeading : $lang->project->owner;?></th>
          <td><?php echo html::select('owner', $users, '', "class='form-control chosen'");?></td>
        </tr>
        <tr>
          <th><?php echo $projectID ? $lang->project->planDesc : $lang->project->desc;?></th>
          <td colspan='3'><?php echo html::textarea('desc', '', "rows='6' class='form-control'");?></td>
        </tr>
        <?php if(empty($projectID)):?>
        <tr>
          <th><?php echo $lang->project->acl;?></th>
          <td colspan='3'><?php echo nl2br(html::radio('acl', $lang->project->aclList, 'open', "onclick='setWhite(this.value);'", 'block'));?></td>
        </tr>
        <tr id='whitelistBox' class='hidden'>
          <th><?php echo $lang->project->whitelist;?></th>
          <td colspan='3'><?php echo html::checkbox('whitelist', $groups, '', '', '', 'inline');?></td>
        </tr>
        <?php endif;?>
        <tr>
          <td colspan='4' class='text-center form-actions'>
            <?php echo html::submitButton();?>
            <?php if($projectID) echo html::hidden('dept', $project->dept);?>
            <?php echo html::backButton('', '', 'btn-wide');?>
          </td>
        </tr>
      </table>
    </form>
  </div>
</div>
<script>
<?php if(!$projectID):?>
$('#subNavbar').find('li[data-id="plans"]').removeClass('active');
<?php endif;?>
</script>
<?php include '../../common/view/footer.html.php';?>
