<?php include '../../common/view/header.html.php';?>
<div id='mainContent' class='main-row fade'>
  <form class="main-table table-saas" method="post" id='saasForm'>
    <table class='table table-hover table-striped tablesorter table-fixed'>
      <thead>
        <?php $vars = "orderBy=%s&recTotal={$pager->recTotal}&recPerPage={$pager->recPerPage}";?>
        <tr class='a-center'>
          <th class='w-60px'><?php commonModel::printOrderLink('id', $orderBy, $vars, $lang->saas->id);?></th>
          <th class='w-150px'><?php commonModel::printOrderLink('account', $orderBy, $vars, $lang->saas->createdBy);?></th>
          <th><?php echo $lang->saas->company;?></th>
          <th><?php echo $lang->saas->customDomain;?></th>
          <th><?php echo $lang->saas->repo;?></th>
          <th class='w-90px'><?php commonModel::printOrderLink('addedDate', $orderBy, $vars, $lang->saas->openedDate);?></th>
          <th class='w-160px'><?php echo $lang->saas->action;?></th>
        </tr>
      </thead>
      <tbody>
      <?php foreach($sites as $site):?>
      <?php $labelClass = $site->status == 'try' ? 'label-warning' : ($site->status == 'normal' ? 'label-success' : 'label-danger');?>
      <tr class='a-center'>
        <td><?php echo $site->id;?></td>
        <?php $site->realname = !empty($site->realname) ? $site->realname : $site->account;?>
        <td><?php echo $site->realname;?></td>
        <td><?php echo $site->company;?></td>
        <?php $link = $this->saas->createLoginLink($site);?>
        <td><?php echo html::a($link, $site->customDomain, '_blank');?></td>
        <td>
          <?php
          if(!empty($site->repo->svn))
          {
              foreach($site->repo->svn as $svnLink)
              {
                  $link = $this->saas->createLoginLink($site, helper::safe64Encode('/repo-browseByName-' . helper::safe64Encode(basename($svnLink)) . '.html'));
                  echo '[SVN] ' . html::a($link, $svnLink, '_blank') . "<br />";
              }
          }
          if(!empty($site->repo->git))
          {
              foreach($site->repo->git as $gitLink)
              {
                  $link = $this->saas->createLoginLink($site, helper::safe64Encode('/repo-browseByName-' . helper::safe64Encode(basename($gitLink)) . '.html'));
                  echo '[GIT] ' . html::a($link, $gitLink, '_blank') . "<br />";
              }
          }
          ?>
        </td>
        <td><?php echo substr($site->openedDate, 0, 10);?></td>
        <td>
          <?php 
          echo html::a(inlink('editUser',  "site=$site->id"), $lang->saas->editUser);
          echo html::a(inlink('resetSiteAdmin', "site=$site->id"), $lang->saas->resetAdmin);
          echo html::a(inlink('reinstallSite',  "site=$site->id"), $lang->saas->reInstall);
          echo html::a(inlink('deleteSite', "site=$site->id"), $lang->delete, 'hiddenwin');
          ?>
        </td>
      </tr>
      <?php endforeach;?>
      </tbody>
    </table>
    <div class='table-footer'>
      <td colspan='7' class='a-right'><?php $pager->show('right', 'pagerjs');?></td>
    </div>
  </form>
</div>

<?php include '../../common/view/footer.html.php';?>
